TIX-ISO-LIVECONFIG(8)

NAME
tix-iso-liveconfig - generate additional live environment configuration for Sortix .iso releases

SYNOPSIS
tix-iso-liveconfig [--hostname=hostname] [--kblayout=kblayout] [--videomode=videomode] output-directory

DESCRIPTION
tix-iso-liveconfig generates additional live environment configuration for Sortix .iso releases that can be overlaid onto the live environment filesystem by making an archive of it and loading it as an initrd in the .iso bootloader configuration. An release .iso can be modified to contain this additional live environment configuration by using tix-iso-bootconfig(8) to add an initrd of it in the additional bootloader configuration, and then using tix-iso-add(8) to add the additional bootloader configuration to the release .iso.

tix-iso-liveconfig creates the output-directory directory if it doesn't already exist and populates it with the requested additional configuration for the live environment. By default, it doesn't make any directories or files inside the output-directory directory.

This script is designed to be convenient when modifying a Sortix release .iso as part of the release-iso-modification(7) procedure. The user is free to take all its actions themselves if it doesn't meet their needs, or to make changes to the output after running the script. These configuration changes apply only to the live environment, not to any installations made from inside it.

The options are as follows:

--hostname=hostname
    Set the live environment's hostname by writing hostname to output-directory/etc/hostname. (See hostname(5))

--kblayout=kblayout
    Set the live environment's keyboard layout by writing kblayout to output-directory/etc/kblayout. (See kblayout(5))

--videomode=videomode
    Set the live environment's graphics resolution by writing videomode to output-directory/etc/videomode. (See videomode(5))

EXIT STATUS
tix-iso-liveconfig will exit 0 on success and non-zero otherwise.

EXAMPLES
This section contains examples of how one can modify a release .iso.

  Hostname, Keyboard Layout, and Graphics Resolution
To customize the live environment of a release with a custom hostname, custom keyboard layout, and custom graphics resolution:

    tix-iso-liveconfig \
      --hostname=dragon \
      --kblayout=dk \
      --videomode=1920x1080x32 \
      liveconfig
    tix-iso-bootconfig --liveconfig=liveconfig bootconfig
    tix-iso-add sortix.iso bootconfig

SEE ALSO
xorriso(1), hostname(5), kblayout(5), videomode(5), release-iso-modification(7), tix-iso-add(8), tix-iso-bootconfig(8)